Debian Bug report logs - #447369
RM: irssi-plugin-icq -- RoQA; RC-buggy

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sat, 20 Oct 2007 14:03:16 UTC

Severity: serious

Tags: patch

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Banck <mbanck@debian.org>:
Bug#447369; Package irssi-plugin-icq. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Michael Banck <mbanck@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: irssi-plugin-icq: FTBFS: icq-protocol.c:203: error: 'PACKAGE' undeclared (first use in this function)
Date: Sat, 20 Oct 2007 15:41:28 +0200
Package: irssi-plugin-icq
version: 0.2-3.1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20071019 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:
if /bin/sh ../../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/include/irssi -I/usr/include/irssi/src -I/usr/include/irssi/src/core    -g -O2 -Wall -MT icq-protocol.lo -MD -MP -MF ".deps/icq-protocol.Tpo" -c -o icq-protocol.lo icq-protocol.c; \
	then mv -f ".deps/icq-protocol.Tpo" ".deps/icq-protocol.Plo"; else rm -f ".deps/icq-protocol.Tpo"; exit 1; fi
 gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/include/irssi -I/usr/include/irssi/src -I/usr/include/irssi/src/core -g -O2 -Wall -MT icq-protocol.lo -MD -MP -MF .deps/icq-protocol.Tpo -c icq-protocol.c  -fPIC -DPIC -o .libs/icq-protocol.o
icq-protocol.c: In function 'writew':
icq-protocol.c:52: warning: assignment from incompatible pointer type
icq-protocol.c: In function 'writel':
icq-protocol.c:54: warning: assignment from incompatible pointer type
icq-protocol.c: In function 'read_tlv':
icq-protocol.c:80: warning: assignment from incompatible pointer type
icq-protocol.c:81: warning: assignment from incompatible pointer type
icq-protocol.c: In function 'decode_flap':
icq-protocol.c:108: warning: pointer targets in assignment differ in signedness
icq-protocol.c:113: warning: pointer targets in assignment differ in signedness
icq-protocol.c:114: warning: assignment from incompatible pointer type
icq-protocol.c:115: warning: assignment from incompatible pointer type
icq-protocol.c: In function 'decode_snac':
icq-protocol.c:142: warning: assignment from incompatible pointer type
icq-protocol.c:143: warning: assignment from incompatible pointer type
icq-protocol.c:144: warning: assignment from incompatible pointer type
icq-protocol.c: In function 'encode_login':
icq-protocol.c:203: error: 'PACKAGE' undeclared (first use in this function)
icq-protocol.c:203: error: (Each undeclared identifier is reported only once
icq-protocol.c:203: error: for each function it appears in.)
icq-protocol.c:203: error: expected ')' before string constant
icq-protocol.c:203: error: expected ')' before string constant
icq-protocol.c: In function 'extract_user_info':
icq-protocol.c:231: warning: pointer targets in assignment differ in signedness
icq-protocol.c:242: warning: assignment from incompatible pointer type
icq-protocol.c:243: warning: assignment from incompatible pointer type
icq-protocol.c:258: warning: assignment from incompatible pointer type
icq-protocol.c:261: warning: assignment from incompatible pointer type
icq-protocol.c: In function 'decode_msg':
icq-protocol.c:277: warning: assignment from incompatible pointer type
icq-protocol.c:278: warning: assignment from incompatible pointer type
icq-protocol.c:279: warning: assignment from incompatible pointer type
icq-protocol.c: In function 'process_packet':
icq-protocol.c:568: warning: pointer targets in passing argument 4 of 'decode_msg' differ in signedness
icq-protocol.c:600: warning: pointer targets in passing argument 4 of 'extract_user_info' differ in signedness
make[4]: *** [icq-protocol.lo] Error 1
make[4]: Leaving directory `/build/user/irssi-plugin-icq-0.2/src/core'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/build/user/irssi-plugin-icq-0.2/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/build/user/irssi-plugin-icq-0.2'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/build/user/irssi-plugin-icq-0.2'
make: *** [build-stamp] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2

The full build log is available from
http://people.debian.org/~lucas/logs/2007/10/19

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Banck <mbanck@debian.org>:
Bug#447369; Package irssi-plugin-icq. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Banck <mbanck@debian.org>. Full text and rfc822 format available.

Message #10 received at 447369@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 447369@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#447369: irssi-plugin-icq: FTBFS: icq-protocol.c:203: error: 'PACKAGE' undeclared (first use in this function)
Date: Tue, 27 Nov 2007 17:20:23 +0100
[Message part 1 (text/plain, inline)]
tag 447369 + patch
thanks

  attached is a patch to fix this ftbfs.

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[0001-Work-around-FTBFS.patch (text/plain, inline)]
From 4052e6cf6e01c94a7ab91d946685dce493f39b05 Mon Sep 17 00:00:00 2001
From: Pierre Habouzit <madcoder@debian.org>
Date: Tue, 27 Nov 2007 17:18:12 +0100
Subject: [PATCH] Work-around FTBFS

Signed-off-by: Pierre Habouzit <madcoder@debian.org>
---
 src/core/Makefile.am    |    1 +
 src/core/icq-protocol.c |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/src/core/Makefile.am b/src/core/Makefile.am
index 04c0d4a..6d3025f 100644
--- a/src/core/Makefile.am
+++ b/src/core/Makefile.am
@@ -17,6 +17,7 @@ libicq_core_la_SOURCES = \
 	icq-servers.c \
 	icq-buddy.c \
 	icq-session.c
+libicq_core_la_CFLAGS = -DPACKAGE=\"@PACKAGE@\"
 
 noinst_HEADERS = \
 	icq.h \
diff --git a/src/core/icq-protocol.c b/src/core/icq-protocol.c
index 14d49d4..df8fb95 100644
--- a/src/core/icq-protocol.c
+++ b/src/core/icq-protocol.c
@@ -200,7 +200,7 @@ static char *encode_login(char *buf, const char *uin, const char *passwd)
 		buf = encode_passwd(buf, passwd);
 	tlv_end(buf, tlv);
 	buf = write_tlv(buf, 0x03, 
-			STR(PACKAGE ", version " IRSSI_VERSION " (irssi icq plugin)"));
+			STR(PACKAGE ", version " PACKAGE_VERSION " (irssi icq plugin)"));
 	buf = write_tlv(buf, 0x16, STR("\x01\x0a"));
 	buf = write_tlv(buf, 0x17, STR("\x00\x04"));
 	buf = write_tlv(buf, 0x18, STR("\x00\x3c"));
-- 
1.5.3.6.2040.g15e6

[Message part 3 (application/pgp-signature, inline)]

Tags added: patch Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Tue, 27 Nov 2007 16:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#447369; Package irssi-plugin-icq. Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #17 received at 447369@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Pierre Habouzit <madcoder@debian.org>, 447369@bugs.debian.org
Subject: Re: Bug#447369: irssi-plugin-icq: FTBFS: icq-protocol.c:203: error: 'PACKAGE' undeclared (first use in this function)
Date: Tue, 27 Nov 2007 19:35:15 +0100
Just wondering, are you using this package?

I was thinking about asking for removal, rather.

If you want to maintain it, go ahead.  If you don't, feel free to NMU,
or I'll fix it eventually (if I don't get it removed before)


cheers,

Michael




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Banck <mbanck@debian.org>:
Bug#447369; Package irssi-plugin-icq. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Banck <mbanck@debian.org>. Full text and rfc822 format available.

Message #22 received at 447369@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Michael Banck <mbanck@debian.org>
Cc: 447369@bugs.debian.org
Subject: Re: Bug#447369: irssi-plugin-icq: FTBFS: icq-protocol.c:203: error: 'PACKAGE' undeclared (first use in this function)
Date: Tue, 27 Nov 2007 20:42:51 +0100
[Message part 1 (text/plain, inline)]
On Tue, Nov 27, 2007 at 06:35:15PM +0000, Michael Banck wrote:
> Just wondering, are you using this package?
> 
> I was thinking about asking for removal, rather.
> 
> If you want to maintain it, go ahead.  If you don't, feel free to NMU,
> or I'll fix it eventually (if I don't get it removed before)

No I don't care about it, I was just trying to kill an RC bug, that's
all.

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Banck <mbanck@debian.org>:
Bug#447369; Package irssi-plugin-icq. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Banck <mbanck@debian.org>. Full text and rfc822 format available.

Message #27 received at 447369@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 447369@bugs.debian.org
Cc: Michael Banck <mbanck@debian.org>, Pierre Habouzit <madcoder@debian.org>
Subject: Re: Bug#447369: irssi-plugin-icq: FTBFS: icq-protocol.c:203: error: 'PACKAGE' undeclared (first use in this function)
Date: Sun, 13 Jan 2008 16:47:48 +0100
rename 447369 RM: irssi-plugin-icq -- RoQA; RC-buggy
reassign 447369 ftp.debian.org
thanks

On Tue, Nov 27, 2007 at 08:42:51PM +0100, Pierre Habouzit wrote:
> On Tue, Nov 27, 2007 at 06:35:15PM +0000, Michael Banck wrote:
> > Just wondering, are you using this package?
> > 
> > I was thinking about asking for removal, rather.
> > 
> > If you want to maintain it, go ahead.  If you don't, feel free to NMU,
> > or I'll fix it eventually (if I don't get it removed before)
> 
> No I don't care about it, I was just trying to kill an RC bug, that's
> all.
>

It has been too much time since the last activity in this bug.  
Let's ask for a removal. Michael if you have changed your mind about maintain
it in the archive, just apply the patch and upload.

Ana






Bug reassigned from package `irssi-plugin-icq' to `ftp.debian.org'. Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sun, 13 Jan 2008 21:54:03 GMT) Full text and rfc822 format available.

Changed Bug title to `RM: irssi-plugin-icq -- RoQA; RC-buggy' from `irssi-plugin-icq: FTBFS: icq-protocol.c:203: error: 'PACKAGE' undeclared (first use in this function)'. Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sun, 13 Jan 2008 22:00:02 GMT) Full text and rfc822 format available.

Bug reassigned from package `ftp.debian.org' to `ftp.debian.org'. Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sun, 13 Jan 2008 22:00:03 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #38 received at 447369-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 447369-close@bugs.debian.org
Cc: irssi-plugin-icq@packages.debian.org, irssi-plugin-icq@packages.qa.debian.org
Subject: Bug#447369: fixed
Date: Mon, 14 Jan 2008 21:54:18 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

irssi-plugin-icq |    0.2-3.1 | source, alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 447369@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 13 Feb 2008 07:53:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:53:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.